package de.tudarmstadt.informatik.hostage.ui;

import de.tudarmstadt.informatik.hostage.R;
import android.content.SharedPreferences;
import android.content.SharedPreferences.OnSharedPreferenceChangeListener;
import android.os.Bundle;
import android.preference.EditTextPreference;
import android.preference.Preference;
import android.preference.PreferenceActivity;

public class SettingsActivity extends PreferenceActivity implements OnSharedPreferenceChangeListener {
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        addPreferencesFromResource(R.xml.preferences);       
        Preference pref = findPreference("pref_external_location");
        EditTextPreference etp = (EditTextPreference) pref;
        pref.setSummary(etp.getText());
        
        pref = findPreference("pref_upload_server");
        etp = (EditTextPreference) pref;
        pref.setSummary(etp.getText());
    }    

    protected void onResume() {
        super.onResume();
        getPreferenceScreen().getSharedPreferences()
                .registerOnSharedPreferenceChangeListener(this);
    }

    protected void onPause() {
        super.onPause();
        getPreferenceScreen().getSharedPreferences()
                .unregisterOnSharedPreferenceChangeListener(this);
    }

    public void onSharedPreferenceChanged(SharedPreferences sharedPreferences,
            String key) {
    	if(key.equals("pref_external_location") || key.equals("pref_upload_server")){
            Preference pref = findPreference(key);
            EditTextPreference etp = (EditTextPreference) pref;
            pref.setSummary(etp.getText());
        }
    }
}
